View Issue Details

IDProjectCategoryView StatusLast Update
0005133MediaMonkey (current)Help / Docs / Localizationpublic2009-02-06 03:02
Reporterrusty 
PriorityimmediateSeveritytextReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1 
Target Version3.1Fixed in Version3.1 
Summary0005133: Improved context help for Search bar
DescriptionThe tooltip currently shows 'Search'. This doesn't explain that boolean 'OR' can be used (see bug 0005104). The tooltip should be changed to:

Search. To find Library files that include either of two search terms, add an uppercase OR between the terms.
TagsNo tags attached.
Fixed in build1211

Relationships

related to 0005186 closedLudek Quick Search with "" (quoted strings) doesn't work as expected 
child of 0003040 closedLudek Implement proper full-text search 

Activities

Bex

2009-01-05 16:42

updater   ~0015994

I believe this tooltip refers to what happens if you press the button. If so then it perhaps should say "Go to Search", "Go to detailed search" or similar.

But it might be a good idea to add an extra tooltip to the search input box which describes how OR works, and also perhaps how <space> works (= AND).
(Btw, why doesn't uppercased AND work as <space>)

Also, in the "detail search" OR only works in the "Any text field"-box but there is no info about it (no tooltips in "detail search" at all).

jiri

2009-01-06 13:21

administrator   ~0016010

We probably can't explain all useful features for search bar (like negations, range searches for numeric fields, etc.) only in tooltip. So, probably show find a way how to easily send user to help file in case it's needed. 'Help' could possibly be a new item in the drop-down list?

Although 'AND' isn't really needed, we could add it just for consistency.

Assigning to Rusty for a review.

rusty

2009-01-09 15:51

administrator   ~0016115

Last edited: 2009-01-09 15:53

OK, how about the following:
1) The tooltip should appear when hovering over the search bar (leave the button tooltip as is)
2) The tooltip should be:
Search Tips:
A : finds tracks with A* or รก*
+A : finds tracks with A* only
"A" : finds tracks with A only
A B : finds tracks with A AND B
A OR B : finds tracks with either A or B
A -B : find tracks with A and NOT B
artist:A : finds tracks with Artist = A
year:X..Y : finds tracks in range X to Y
rating: X.. : finds tracks with X stars or more
3) Pressing F1 when focus is on the search bar should bring the user to the Search help page.

jiri

2009-01-09 16:22

administrator   ~0016116

Fixed in build 1210.

rusty

2009-01-11 05:23

administrator   ~0016126

Minor problem, but it makes it look kind of strange--the first line of the context help is missing:

Search Tips:

jiri

2009-01-11 11:50

administrator   ~0016139

Fixed in build 1211.

stephen_platt

2009-02-06 03:02

developer   ~0016563

verified 1221